Index: gcc/ChangeLog
===================================================================
--- gcc/ChangeLog	(.../tags/gcc_4_8_5_release)	(wersja 224854)
+++ gcc/ChangeLog	(.../branches/gcc-4_8-branch)	(wersja 224853)
@@ -1,3 +1,9 @@
+2015-06-23  Ludovic Courtès  <ludo@gnu.org>
+
+	PR 65711
+	* config/arm/linux-elf.h (LINUX_TARGET_LINK_SPEC): Move
+	'-dynamic-linker' within %{!shared: ...}.
+
 2015-06-23  Release Manager
 
 	* GCC 4.8.5 released.
Index: gcc/config/arm/linux-elf.h
===================================================================
--- gcc/config/arm/linux-elf.h	(.../tags/gcc_4_8_5_release)	(wersja 224854)
+++ gcc/config/arm/linux-elf.h	(.../branches/gcc-4_8-branch)	(wersja 224853)
@@ -65,7 +65,7 @@
    %{symbolic:-Bsymbolic} \
    %{!static: \
      %{rdynamic:-export-dynamic} \
-     -dynamic-linker " GNU_USER_DYNAMIC_LINKER "} \
+     %{!shared:-dynamic-linker " GNU_USER_DYNAMIC_LINKER "}} \
    -X \
    %{mbig-endian:-EB} %{mlittle-endian:-EL}" \
    SUBTARGET_EXTRA_LINK_SPEC
